Jump to content

error in apache http proxy


reza1365
 Share

Recommended Posts

hello dears

I installed my ERA V5 and configured it for mirror updating, so clients can get updates in this way without any problem. But then I wanted to configure proxy server so I installed apache proxy server and configured it by procedures explained here. After configuring clients to get updates from proxy server when I click update now (in smart security v10) multiple errors logged in "error.log" file in apache proxy server logs folder:

[Sun Nov 04 23:40:39.185593 2018] [proxy:error] [pid 1444:tid 12552] [client 172.21.3.89:55924] AH00898: DNS lookup failure for: update.eset.com returned by hxxp://update.eset.com/eset_upd/v10/dll/update.ver

what is the solution?

and another question: If you say I can not use proxy server for ERA v5 what is the alternative?

Edited by reza1365
tags
Link to comment
Share on other sites

  • Administrators

ERA v5 does not create a mirror for Endpoint v6.6/v7. It's a quite old product that doesn't support business v6 products and newer.

We strongly recommend using ESMC (ERA v7) without a mirror but utilizing http proxy to cache update files which will save a lot of traffic compared to mirror.

 

 

Link to comment
Share on other sites

thank you Marcos, but I installed and configured apache http proxy as mentioned above and the error appeared in error.log file.

Edited by reza1365
edit
Link to comment
Share on other sites

  • ESET Staff

Mentioned error most probably means that it is not possible to resolve DNS name update.eset.com on machine where HTTP proxy is installed  - could you please verify it is properly configured, for example by testing "ping update.eset.com" from HTTP proxy?

Also I am not sure whether caching will actually work for non-bussiness products. It was added to v6/v7 business products, but you are using home version - is this intentional? Even if DNS resolving is no longer a problem and updating through proxy will be working, it is very probable that without caching.

Link to comment
Share on other sites

  • Administrators

Please make sure that you have Endpoint installed on all machines. Let us know if Endpoint v6 or v7 fails to update through the proxy.

Link to comment
Share on other sites

I can ping update.eset.com from ERA v5 server but you (Martink) said check it from http proxy! what do you mean? http proxy and ERA v5 both installed on the same machine. another thing is that when I clear log file and start apachehttpproxy service lines below appeard:

[Tue Nov 06 07:55:47.012754 2018] [ssl:warn] [pid 2408:tid 528] AH01873: Init: Session Cache is not configured [hint: SSLSessionCache]
[Tue Nov 06 07:55:47.012754 2018] [mpm_winnt:notice] [pid 2408:tid 528] AH00455: Apache/2.4.33 (Win32) OpenSSL/1.1.0i-dev configured -- resuming normal operations
[Tue Nov 06 07:55:47.012754 2018] [mpm_winnt:notice] [pid 2408:tid 528] AH00456: Server built: Jun  5 2018 08:55:26
[Tue Nov 06 07:55:47.012754 2018] [core:notice] [pid 2408:tid 528] AH00094: Command line: 'C:\\Program Files\\apache http proxy\\bin\\httpd.exe -d C:/Program Files/apache http proxy'
[Tue Nov 06 07:55:47.028379 2018] [mpm_winnt:notice] [pid 2408:tid 528] AH00418: Parent: Created child process 2436
[Tue Nov 06 07:55:47.325255 2018] [ssl:warn] [pid 2436:tid 460] AH01873: Init: Session Cache is not configured [hint: SSLSessionCache]
[Tue Nov 06 07:55:47.325255 2018] [mpm_winnt:notice] [pid 2436:tid 460] AH00354: Child: Starting 1500 worker threads.
 

Link to comment
Share on other sites

Now "almost" every thing is OK! I connected the server to the internet and DNS error (mentioned above) disappeared! So I could update a client (smart security v10) by proxy configuration; but on another client with the same credential nor another credential I couldn't update! It appears "invalid username or password" message and a dialogue box to enter username and password.

There is no error log in this situation! I think there are something wrong on new client not in server configuration but I don't know what!

Link to comment
Share on other sites

Thank to all. Every thing is OK now! The problem was that Endpoint V5 does not support proxy but supports mirror address! and smart security v 9 and newer versions support proxy. just that!

Link to comment
Share on other sites

Guest
This topic is now closed to further replies.
 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...